
Redmine - Defect #5335

Error on db:migrate with table prefix set (hardcoded name in principal.rb)

2010-04-16 13:22 - Michael Eberlein

Status: Closed Start date: 2010-04-16

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Database Estimated time: 0.00 hour

Target version: 0.9.4   

Resolution: Fixed Affected version: 0.9.3

Description

Principal.rb has hardcoded table name on first line (set_table_name 'users'). This error prevents the use of table_name_prefix

(config.active_record.table_name_prefix).

Error:

AddUserPreferencesTimeZone: migrating ===================================

-- add_column(:user_preferences, :time_zone, :string)

-> 0.0041s

AddUserPreferencesTimeZone: migrated (0.0042s) ==========================

AddUsersType: migrating =================================================

-- add_column(:users, :type, :string)

-> 0.0048s

rake aborted!

An error has occurred, all later migrations canceled:   

Mysql::Error: Table 'redmine.users' doesn't exist: SHOW FIELDS FROM `users`

Application's environment:

Ruby version              1.8.7 (i686-linux)

RubyGems version          1.3.5

Rack version              1.0

Rails version             2.3.5

Active Record version     2.3.5

Active Resource version   2.3.5

Action Mailer version     2.3.5

Active Support version    2.3.5

Edge Rails revision       unknown

Application root          /var/lib/redmine

Environment               production

Database adapter          mysql

Database schema version   0

Associated revisions

Revision 3678 - 2010-04-17 14:14 - Jean-Philippe Lang

Fixed: Error on db:migrate with table prefix set (#5335).

History

#1 - 2010-04-17 14:11 - Jean-Philippe Lang

- Status changed from New to Resolved

- Target version set to 0.9.4

- Resolution set to Fixed

Fixed in r3678.

#2 - 2010-04-30 16:02 - Jean-Philippe Lang

- Status changed from Resolved to Closed
